<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="xh" type="hidden" />
	<div class="form-line clearfix" >
	<!-- 
		<div class="fl">
			<span class="text-content"><em class="must"></em>关联设备编号：</span> 
			<input id="glsbbh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="关联设备编号必填项" > 
		</div> 
		 -->
		<div class="fl">
			<span class="text-content"><em class="must"></em>资产编码：</span>
			<input id="zlbm" class="easyui-textbox" data-options="required:false,validType:'length[0,10]'" missingMessage="关联通道编号必填项" >
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>资产名称：</span>
			<input id="zlmc" class="easyui-textbox" data-options="required:false,validType:'length[0,100]'" missingMessage="关联通道名称必填项" >
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>类别：</span>
			<input id="zclb" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="编号必填项" >
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>型号：</span>
			<input id="zcxh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="规格型号必填项" >
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>单位：</span>
			<input id="zcdw" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="所属坐标系必填项" >
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>变动方式：</span>
			<input id="bdfs" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="经度必填项" >
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>使用情况：</span>
			<input id="syqk" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="维度必填项" >
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>使用日期：</span>
			<input id="syrq" class="easyui-datebox" missingMessage="安装时间必填项" >
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>存放地点：</span>
			<input id="cfdd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="安装单位必填项" >
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>数量：</span>
			<input id="zcsl" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="安装方式必填项" >
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>原值原币：</span>
			<input id="yzyb" class="easyui-textbox" data-options="required:false,validType:'length[0,256]'" missingMessage="实景照片必填项" >
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>使用ip：</span>
			<input id="syip" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="管辖单位编码必填项" >
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="bz" class="easyui-textbox" data-options="multiline:true" style="width:300px;height:80px" missingMessage="备注必填项" > 
		</div> 
	</div>

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	$('#syrq').datebox({ editable:false });
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#xh").val(records.xh);
		$("#zlbm").textbox("setValue",records.zlbm);		
		$("#zlmc").textbox("setValue",records.zlmc);
		$("#zclb").textbox("setValue",records.zclb);
		$("#zcxh").textbox("setValue",records.zcxh);
		$("#zcdw").textbox("setValue",records.zcdw);
		$("#bdfs").textbox("setValue",records.bdfs);
		$("#syqk").textbox("setValue",records.syqk);
		$("#syrq").datebox("setValue",records.syrq);
		$("#cfdd").textbox("setValue",records.cfdd);
		$("#zcsl").textbox("setValue",records.zcsl);
		$("#yzyb").textbox("setValue",records.yzyb);
		$("#syip").textbox("setValue",records.syip);
		$("#bz").textbox("setValue",records.bz);
	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
